> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driver.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List profiles

> List all browser profiles.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/browser/profiles
openapi: 3.0.0
info:
  version: 1.0.0
  title: Driver API
  description: API for interacting with the Driver.dev browser network.
  contact:
    name: Driver support
    email: alex@driver.dev
servers:
  - url: https://api.driver.dev
    description: Production
security: []
tags:
  - name: Sessions
  - name: Profiles
  - name: Account
  - name: Extensions
  - name: Pools
externalDocs:
  url: https://docs.driver.dev
  description: Driver documentation
paths:
  /v1/browser/profiles:
    get:
      tags:
        - Profiles
      summary: List profiles
      description: List all browser profiles.
      responses:
        '200':
          description: Successfully retrieved list of browser profiles.
          content:
            application/json:
              schema:
                type: object
                properties:
                  profiles:
                    type: array
                    items:
                      type: object
                      properties:
                        profileId:
                          type: string
                          description: The unique identifier of the browser profile.
                        name:
                          type: string
                          description: The name of the browser profile.
                        createdAt:
                          type: string
                          description: The ISO 8601 timestamp when the profile was created.
                      required:
                        - profileId
                        - name
                        - createdAt
                    description: Array of browser profiles.
                required:
                  - profiles
                example:
                  profiles:
                    - profileId: >-
                        9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08
                      name: test
                      createdAt: '2025-12-19T18:58:03.000Z'
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '500':
          description: Failed to retrieve browser profiles.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        A workspace API key from Settings → API keys in the dashboard
        (https://app.driver.dev), sent as a bearer token.

````